QGIS Application - Bug report #11702
Support reordering the input fields in a Processing model GUI
2014-11-20 02:54 PM - Anita Graser

Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/Modeller

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 19944
Description

See thread http://lists.osgeo.org/pipermail/qgis-user/2014-November/029906.html

When | create a model, Processing automatically generates a GUI for
the model but especially with the new modeler in 2.6 the order of
input fields is all messed up and | would really like to reorder the
input fields into a logical sequence.

Associated revisions

Revision 530b15a0 - 2014-11-21 07:21 AM - Victor Olaya

[processing] provide non-random default ordering of parameters in models

Fixes #11702

History

#1 - 2014-11-20 10:25 PM - Victor Olaya
- Status changed from Open to Feedback

| added a quick fix. Now parameters are ordered according to its type. First rasters, then vectors and tables, then booleans, then string, then numbers, and

then the rest

| will add a more customized solution soon, but for now this should result in more organized parameter dialogs

#2 - 2014-11-21 12:10 AM - Victor Olaya
- Status changed from Feedback to Closed

Fixed in changeset commit:"530b15a0e1c09e67f6392b4bf4bcfeaald2473262".
